// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Document base URI. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/links.html#edef-BASE">BASE element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-href><CODE>&nbsp;href</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getHref()'>getHref</a>
<a href='#setHref(java.lang.String)'>setHref</a>
</TD>
<TD>
  <P>The base URI See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-href-BASE">href attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-target><CODE>&nbsp;target</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getTarget()'>getTarget</a>
<a href='#setTarget(java.lang.String)'>setTarget</a>
</TD>
<TD>
  <P>The default target frame. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-target">target attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLBaseElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-href>href</a></code> property.
	 */
	void setHref (String href);

	/**
	 * Returns the value of the <code><a href=#att-href>href</a></code> property.
	*/
	String getHref ();


	/** Assigns the value of the <code><a href=#att-target>target</a></code> property.
	 */
	void setTarget (String target);

	/**
	 * Returns the value of the <code><a href=#att-target>target</a></code> property.
	*/
	String getTarget ();


}
