// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Create a grid of frames. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/frames.html#edef-FRAMESET">FRAMESET element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-cols><CODE>&nbsp;cols</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getCols()'>getCols</a>
<a href='#setCols(java.lang.String)'>setCols</a>
</TD>
<TD>
  <P>The number of columns of frames in the frameset. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-cols-FRAMESET">cols attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-rows><CODE>&nbsp;rows</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getRows()'>getRows</a>
<a href='#setRows(java.lang.String)'>setRows</a>
</TD>
<TD>
  <P>The number of rows of frames in the frameset. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-rows-FRAMESET">rows attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLFrameSetElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-cols>cols</a></code> property.
	 */
	void setCols (String cols);

	/**
	 * Returns the value of the <code><a href=#att-cols>cols</a></code> property.
	*/
	String getCols ();


	/** Assigns the value of the <code><a href=#att-rows>rows</a></code> property.
	 */
	void setRows (String rows);

	/**
	 * Returns the value of the <code><a href=#att-rows>rows</a></code> property.
	*/
	String getRows ();


}
