// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Multi-line text field. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-TEXTAREA">TEXTAREA element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-defaultValue><CODE>&nbsp;defaultValue</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getDefaultValue()'>getDefaultValue</a>
<a href='#setDefaultValue(java.lang.String)'>setDefaultValue</a>
</TD>
<TD>
  <P>Stores the initial control value (i.e., the initial value of 
    <code>value</code>). 
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-form><CODE>&nbsp;form</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getForm()'>getForm</a>
</TD>
<TD>
  <P>Returns the 
    <code>FORM</code> element containing this control. Returns null if this control is not within the context of a form. 
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-accessKey><CODE>&nbsp;accessKey</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getAccessKey()'>getAccessKey</a>
<a href='#setAccessKey(java.lang.String)'>setAccessKey</a>
</TD>
<TD>
  <P>A single character access key to give access to the form control. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-accesskey">accesskey attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-cols><CODE>&nbsp;cols</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getCols()'>getCols</a>
<a href='#setCols(java.lang.String)'>setCols</a>
</TD>
<TD>
  <P>Width of control (in characters). See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-cols-TEXTAREA">cols attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-disabled><CODE>&nbsp;disabled</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getDisabled()'>getDisabled</a>
<a href='#setDisabled(java.lang.String)'>setDisabled</a>
</TD>
<TD>
  <P>The control is unavailable in this context. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-disabled">disabled attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-name><CODE>&nbsp;name</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getName()'>getName</a>
<a href='#setName(java.lang.String)'>setName</a>
</TD>
<TD>
  <P>Form control or object name when submitted with a form. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-name-TEXTAREA">name attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-readOnly><CODE>&nbsp;readOnly</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getReadOnly()'>getReadOnly</a>
<a href='#setReadOnly(java.lang.String)'>setReadOnly</a>
</TD>
<TD>
  <P>This control is read-only. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-readonly">readonly attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-rows><CODE>&nbsp;rows</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getRows()'>getRows</a>
<a href='#setRows(java.lang.String)'>setRows</a>
</TD>
<TD>
  <P>Number of text rows. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-rows-TEXTAREA">rows attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-tabIndex><CODE>&nbsp;tabIndex</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getTabIndex()'>getTabIndex</a>
<a href='#setTabIndex(java.lang.String)'>setTabIndex</a>
</TD>
<TD>
  <P>Index that represents the element's position in the tabbing order. See the 
    <A  href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-tabindex">tabindex attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-type><CODE>&nbsp;type</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getType()'>getType</a>
</TD>
<TD>
  <P>The type of this form control. 
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-value><CODE>&nbsp;value</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getValue()'>getValue</a>
<a href='#setValue(java.lang.String)'>setValue</a>
</TD>
<TD>
  <P>The current textual content of the multi-line text field. If the entirety of the data can not fit into a single wstring, the implementation may truncate the data.
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLTextAreaElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-defaultValue>defaultValue</a></code> property.
	 */
	void setDefaultValue (String defaultValue);

	/**
	 * Returns the value of the <code><a href=#att-defaultValue>defaultValue</a></code> property.
	*/
	String getDefaultValue ();


	/**
	 * Returns the value of the <code><a href=#att-form>form</a></code> property.
	*/
	HTMLFormElement getForm ();


	/** Assigns the value of the <code><a href=#att-accessKey>accessKey</a></code> property.
	 */
	void setAccessKey (String accessKey);

	/**
	 * Returns the value of the <code><a href=#att-accessKey>accessKey</a></code> property.
	*/
	String getAccessKey ();


	/** Assigns the value of the <code><a href=#att-cols>cols</a></code> property.
	 */
	void setCols (int cols);

	/**
	 * Returns the value of the <code><a href=#att-cols>cols</a></code> property.
	*/
	int getCols ();


	/** Assigns the value of the <code><a href=#att-disabled>disabled</a></code> property.
	 */
	void setDisabled (boolean disabled);

	/**
	 * Returns the value of the <code><a href=#att-disabled>disabled</a></code> property.
	*/
	boolean getDisabled ();


	/** Assigns the value of the <code><a href=#att-name>name</a></code> property.
	 */
	void setName (String name);

	/**
	 * Returns the value of the <code><a href=#att-name>name</a></code> property.
	*/
	String getName ();


	/** Assigns the value of the <code><a href=#att-readOnly>readOnly</a></code> property.
	 */
	void setReadOnly (boolean readOnly);

	/**
	 * Returns the value of the <code><a href=#att-readOnly>readOnly</a></code> property.
	*/
	boolean getReadOnly ();


	/** Assigns the value of the <code><a href=#att-rows>rows</a></code> property.
	 */
	void setRows (int rows);

	/**
	 * Returns the value of the <code><a href=#att-rows>rows</a></code> property.
	*/
	int getRows ();


	/** Assigns the value of the <code><a href=#att-tabIndex>tabIndex</a></code> property.
	 */
	void setTabIndex (int tabIndex);

	/**
	 * Returns the value of the <code><a href=#att-tabIndex>tabIndex</a></code> property.
	*/
	int getTabIndex ();


	/**
	 * Returns the value of the <code><a href=#att-type>type</a></code> property.
	*/
	String getType ();


	/** Assigns the value of the <code><a href=#att-value>value</a></code> property.
	 */
	void setValue (String value);

	/**
	 * Returns the value of the <code><a href=#att-value>value</a></code> property.
	*/
	String getValue ();


/**

  <P>Removes keyboard focus from this element.
</P>

*/
void blur ();

/**

  <P>Gives keyboard focus to this element.
</P>

*/
void focus ();

/**

  <P>Select the contents of the 
    <code>TEXTAREA</code>.
  
</P>

*/
void select ();

}
